org.eclipse.rdf4j.http.server.protocol

## Class ProtocolInterceptor

- java.lang.Object
- - org.springframework.web.servlet.handler.HandlerInterceptorAdapter
  - - org.eclipse.rdf4j.http.server.ServerInterceptor
    - - org.eclipse.rdf4j.http.server.protocol.ProtocolInterceptor

- All Implemented Interfaces:
    org.springframework.web.servlet.AsyncHandlerInterceptor, org.springframework.web.servlet.HandlerInterceptor

      public class ProtocolInterceptor
      extends ServerInterceptor

  Interceptor for protocol requests. Should not be a singleton bean! Configure as inner bean in openrdf-servlet.xml
  Author:
    Herko ter Horst

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolInterceptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getThreadName()` Determine the thread name to use.

    - ### Methods inherited from class org.eclipse.rdf4j.http.server.ServerInterceptor

      `afterCompletion, cleanUpResources, preHandle, setRequestAttributes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.web.servlet.AsyncHandlerInterceptor

      `afterConcurrentHandlingStarted`

    - ### Methods inherited from interface org.springframework.web.servlet.HandlerInterceptor

      `postHandle`

- - ### Constructor Detail

    - #### ProtocolInterceptor

          public ProtocolInterceptor()

  - ### Method Detail

    - #### getThreadName

          protected String getThreadName()

      Description copied from class: `ServerInterceptor`
      Determine the thread name to use. Called before the request is forwarded to a handler.
      Specified by:
        `getThreadName` in class `ServerInterceptor`
      Returns:
        a name that makes sense based on the request

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.